Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- z
- ~

### - r -

- random() : Botan::TLS::Client_Hello , Botan::TLS::Server_Hello
- random_integer() : Botan::BigInt
- random_plaintext_element() : Botan::McEliece_PublicKey
- random_vec() : Botan::RandomNumberGenerator
- randomize() : Botan::AutoSeeded_RNG , Botan::BigInt , Botan::HMAC_DRBG , Botan::Null_RNG , Botan::PKCS11::PKCS11_RNG , Botan::RandomNumberGenerator , Botan::RDRAND_RNG , Botan::System_RNG , Botan::TPM_RNG
- randomize_repr() : Botan::PointGFp
- randomize_tree_hash() : Botan::XMSS_Common_Ops
- randomize_with_input() : Botan::AutoSeeded_RNG , Botan::HMAC_DRBG , Botan::RandomNumberGenerator
- randomize_with_ts_input() : Botan::RandomNumberGenerator , Botan::Stateful_RNG
- randomness() : Botan::XMSS_Signature
- RandomNumberGenerator() : Botan::RandomNumberGenerator
- raw_bits() : Botan::OCSP::Response
- raw_bytes() : Botan::BER_Decoder , Botan::DER_Encoder
- raw_data() : Botan::EMSA , Botan::EMSA_PKCS1v15 , Botan::EMSA_PKCS1v15_Raw
- raw_issuer_dn() : Botan::X509_Certificate
- raw_issuer_dn_sha256() : Botan::X509_Certificate
- raw_kem_decrypt() : Botan::PK_Ops::KEM_Decryption_with_KDF
- raw_kem_encrypt() : Botan::PK_Ops::KEM_Encryption_with_KDF
- raw_private_key() : Botan::XMSS_PrivateKey
- raw_public_key() : Botan::PKCS10_Request , Botan::XMSS_PublicKey
- raw_subject_dn() : Botan::X509_Certificate
- raw_subject_dn_sha256() : Botan::X509_Certificate
- RC4() : Botan::RC4
- rdrand() : Botan::RDRAND_RNG
- RDRAND_RNG() : Botan::RDRAND_RNG
- rdrand_status() : Botan::RDRAND_RNG
- read() : Botan::DataSource , Botan::DataSource_Memory , Botan::DataSource_Stream , Botan::Output_Buffers , Botan::Pipe , Botan::SecureQueue , Botan::TLS::Blocking_Client
- read_accept() : Botan::TLS::Connection_Sequence_Numbers , Botan::TLS::Datagram_Sequence_Numbers , Botan::TLS::Stream_Sequence_Numbers
- read_all() : Botan::Pipe
- read_all_as_string() : Botan::Pipe
- read_byte() : Botan::DataSource
- read_so_far() : Botan::TLS::TLS_Data_Reader
- readable_string() : Botan::X509_Time
- reason_code() : Botan::CRL_Entry
- received_data() : Botan::TLS::Channel
- received_handshake_msg() : Botan::TLS::Handshake_State
- reconstruct() : Botan::RTSS_Share
- Record() : Botan::TLS::Record
- Record_Message() : Botan::TLS::Record_Message
- Record_Raw_Input() : Botan::TLS::Record_Raw_Input
- reduce() : Botan::Modular_Reducer
- register_key() : Botan::TPM_PrivateKey
- registered_keys() : Botan::TPM_PrivateKey
- release() : Botan::PKCS11::Session
- reload() : Botan::PKCS11::Module
- remaining() : Botan::Output_Buffers , Botan::Pipe
- remaining_bytes() : Botan::TLS::TLS_Data_Reader
- remove_all() : Botan::TLS::Session_Manager , Botan::TLS::Session_Manager_In_Memory , Botan::TLS::Session_Manager_Noop , Botan::TLS::Session_Manager_SQL
- remove_cert() : Botan::Certificate_Store_In_SQL
- remove_entry() : Botan::TLS::Session_Manager , Botan::TLS::Session_Manager_In_Memory , Botan::TLS::Session_Manager_Noop , Botan::TLS::Session_Manager_SQL
- remove_key() : Botan::Certificate_Store_In_SQL
- renegotiate() : Botan::TLS::Channel
- Renegotiation_Extension() : Botan::TLS::Renegotiation_Extension
- renegotiation_info() : Botan::TLS::Client_Hello , Botan::TLS::Renegotiation_Extension , Botan::TLS::Server_Hello
- replace() : Botan::Extensions
- Request() : Botan::OCSP::Request
- require_cert_revocation_info() : Botan::TLS::Policy
- require_revocation_information() : Botan::Path_Validation_Restrictions
- reseed() : Botan::AutoSeeded_RNG , Botan::PKCS11::PKCS11_RNG , Botan::RandomNumberGenerator , Botan::RDRAND_RNG , Botan::Stateful_RNG
- reseed_check() : Botan::Stateful_RNG
- reseed_from_rng() : Botan::RandomNumberGenerator , Botan::Stateful_RNG
- reserve_unused_leaf_index() : Botan::XMSS_PrivateKey
- reset() : Botan::CBC_Decryption , Botan::CBC_Mode , Botan::CCM_Mode , Botan::CFB_Mode , Botan::ChaCha20Poly1305_Mode , Botan::Cipher_Mode , Botan::EAX_Mode , Botan::GCM_Mode , Botan::GHASH , Botan::OCB_Mode , Botan::Pipe , Botan::SIV_Mode , Botan::Stream_Cipher_Mode , Botan::TLS::Handshake_Hash , Botan::TLS::TLS_CBC_HMAC_AEAD_Mode , Botan::XTS_Mode
- resolve() : Botan::Dynamically_Loaded_Library
- resolve_symbol() : Botan::Dynamically_Loaded_Library
- Response() : Botan::HTTP::Response , Botan::OCSP::Response
- response() : Botan::TLS::Certificate_Status
- result() : Botan::Path_Validation_Result
- result_string() : Botan::Path_Validation_Result
- retire() : Botan::Output_Buffers
- reverse_sign() : Botan::BigInt
- revoke_cert() : Botan::Certificate_Store_In_SQL
- RFC6979_Nonce_Generator() : Botan::RFC6979_Nonce_Generator
- RIPEMD_160() : Botan::RIPEMD_160
- rng() : Botan::TLS::Channel
- root() : Botan::XMSS_PublicKey
- rotate_left() : Botan::SIMD_4x32
- rotate_right() : Botan::SIMD_4x32
- row_count() : Botan::SQL_Database , Botan::Sqlite3_Database
- RSA_PrivateKey() : Botan::RSA_PrivateKey
- RSA_PublicKey() : Botan::RSA_PublicKey
- RTSS_Share() : Botan::RTSS_Share
- run() : Botan::Compression_Stream
- run_flag() : Botan::Compression_Stream